Package org.apache.sling.distribution.agent

## Enum DistributionAgentState

- java.lang.Object
- - java.lang.Enum<DistributionAgentState>
  - - org.apache.sling.distribution.agent.DistributionAgentState

All Implemented Interfaces:
  `Serializable`, `Comparable<DistributionAgentState>`

    public enum DistributionAgentState
    extends Enum<DistributionAgentState>

The state of a distribution agent.

### Enum Constant Summary

Enum Constants
`BLOCKED` The agent is active and some items in its queues cannot be processed.
`IDLE` The agent is active and it does not have items in its queues.
`PAUSED` The agent is active but the queue processing is disabled.
`RUNNING` The agent is active and there are items in its queues.

### Method Summary

All Methods Static Methods Concrete Methods
`static DistributionAgentState` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static DistributionAgentState[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### PAUSED

    public static final DistributionAgentState PAUSED

The agent is active but the queue processing is disabled.

#### IDLE

    public static final DistributionAgentState IDLE

The agent is active and it does not have items in its queues.

#### RUNNING

    public static final DistributionAgentState RUNNING

The agent is active and there are items in its queues.

#### BLOCKED

    public static final DistributionAgentState BLOCKED

The agent is active and some items in its queues cannot be processed.

### Method Detail

#### values

    public static DistributionAgentState[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DistributionAgentState c : DistributionAgentState.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DistributionAgentState valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null